### Hierarchy

- unknown
  - AddressEntry

## Index

### Constructors

- constructor

### Methods

- getCoinLockedInMultiSig
- getContext
- getOfferId
- getPubKey
- getPubKeyHash
- getPubKeyHash_asB64
- getPubKeyHash_asU8
- getPubKey_asB64
- getPubKey_asU8
- getSegwit
- serializeBinary
- setCoinLockedInMultiSig
- setContext
- setOfferId
- setPubKey
- setPubKeyHash
- setSegwit
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new AddressEntry(): AddressEntry

- Inherited from jspb.Message.constructor

  #### Returns AddressEntry

## Methods

### getCoinLockedInMultiSig

- getCoinLockedInMultiSig(): number

- - Defined in src/protobuf/pb_pb.d.ts:6291

  #### Returns number

### getContext

- getContext(): AddressEntry . Context

- - Defined in src/protobuf/pb_pb.d.ts:6278

  #### Returns AddressEntry . Context

### getOfferId

- getOfferId(): string

- - Defined in src/protobuf/pb_pb.d.ts:6275

  #### Returns string

### getPubKey

- getPubKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6281

  #### Returns string | Uint8Array

### getPubKeyHash

- getPubKeyHash(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6286

  #### Returns string | Uint8Array

### getPubKeyHash_asB64

- getPubKeyHash_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:6288

  #### Returns string

### getPubKeyHash_asU8

- getPubKeyHash_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6287

  #### Returns Uint8Array

### getPubKey_asB64

- getPubKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:6283

  #### Returns string

### getPubKey_asU8

- getPubKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6282

  #### Returns Uint8Array

### getSegwit

- getSegwit(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6294

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6297

  #### Returns Uint8Array

### setCoinLockedInMultiSig

- setCoinLockedInMultiSig(value: number): AddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6292

  #### Parameters

  - ##### value: number

  #### Returns AddressEntry

### setContext

- setContext(value: AddressEntry . Context ): AddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6279

  #### Parameters

  - ##### value: AddressEntry . Context

  #### Returns AddressEntry

### setOfferId

- setOfferId(value: string): AddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6276

  #### Parameters

  - ##### value: string

  #### Returns AddressEntry

### setPubKey

- setPubKey(value: string | Uint8Array): AddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6284

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns AddressEntry

### setPubKeyHash

- setPubKeyHash(value: string | Uint8Array): AddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6289

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns AddressEntry

### setSegwit

- setSegwit(value: boolean): AddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6295

  #### Parameters

  - ##### value: boolean

  #### Returns AddressEntry

### toObject

- toObject(includeInstance?: boolean): AddressEntry . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6298

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns AddressEntry . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): AddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6301

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AddressEntry

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AddressEntry, reader: BinaryReader): AddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6302

  #### Parameters

  - ##### message: AddressEntry

  - ##### reader: BinaryReader

  #### Returns AddressEntry

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: AddressEntry, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6300

  #### Parameters

  - ##### message: AddressEntry

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: AddressEntry ): AddressEntry . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6299

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AddressEntry

  #### Returns AddressEntry . AsObject

Generated using TypeDoc